using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace BeWo.Converter
{
    public class ValueEqualsParamVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (parameter == null || value == null)
            {
                return Visibility.Collapsed;
            }

            if (parameter.Equals(value))
            {
                return Visibility.Visible;
            }

            return Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}